diff -dupr jack.0/jack.spec.in jack.1/jack.spec.in
--- jack.0/jack.spec.in	2006-05-07 12:26:45.000000000 +0100
+++ jack.1/jack.spec.in	2006-05-07 12:34:07.000000000 +0100
@@ -7,7 +7,7 @@
 # directory mounted as tmpfs
 %define enable_tmpdir 1
 %if %{enable_tmpdir}
-%define jack_tmpdir /var/lib/jack/tmp
+%define jack_tmpdir /dev/shm
 %endif
 # use port audio
 %define port_audio 0
@@ -17,7 +17,7 @@
 %define preemption_check 0
 
 
-Summary:	the Jack Audio Connection Kit
+Summary:	The Jack Audio Connection Kit
 Name:		@PACKAGE@
 Version:	@VERSION@
 Release:	3
@@ -28,6 +28,8 @@ URL:		http://jackit.sourceforge.net
 BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
 
 BuildRequires: automake >= 1.6 libsndfile-devel >= 1.0.0
+BuildRequires: pkgconfig
+BuildRequires: doxygen
 
 %if %{port_audio}
 BuildRequires: portaudio >= 18.1
@@ -98,75 +100,14 @@ make install DESTDIR=$RPM_BUILD_ROOT
 chmod 04755 $RPM_BUILD_ROOT%{_bindir}/jackstart
 %endif
 
-%if %{enable_tmpdir}
-# create jack temporary directory
-mkdir -p $RPM_BUILD_ROOT%{jack_tmpdir}
-%endif
-
 # remove extra install of the documentation
 rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/*
 
-%if %{enable_tmpdir}
-%preun
-if [ "$1" = "0" ] ; then
-    # try to unmount the tmpfs filesystem
-    umount %{jack_tmpdir} >/dev/null 2>&1
-    # remove any leftover files after the mount is gone
-    rm -rf %{jack_tmpdir}/* >/dev/null 2>&1
-fi
-%endif
-
 %post
 /sbin/ldconfig
-%if %{enable_tmpdir}
-# add jack temporary directory mount point to fstab
-if [ -f /etc/fstab ] ; then
-    if grep 'jack' /etc/fstab >/dev/null 2>&1 ; then
-        if ! grep '%{jack_tmpdir}' /etc/fstab >/dev/null 2>&1 ; then
-            echo
-            echo "A line containing \"jack\" was found in /etc/fstab. The mount point"
-            echo "does not match the one needed by this package, so the tmpfs mount line"
-            echo "was not automatically added. Edit /etc/fstab (be very careful!) and"
-            echo "add the following line:"
-            echo "    \"none %{jack_tmpdir} tmpfs defaults 0 0\""
-            echo
-        fi
-    else
-        # add the mount point
-        echo "Adding jack tmpfs entry to /etc/fstab..."
-        NEWLINES=$(wc -l /etc/fstab|awk '{print $1}' 2> /dev/null)
-        LINES=$(grep -c '^.*$' /etc/fstab 2> /dev/null)
-        if [ $NEWLINES -lt $LINES ] ; then
-            echo '' >> /etc/fstab || \
-            { echo "failed to add jack tmpfs entry to /etc/fstab" 1>&2 ; exit 0 ; }
-        fi
-        echo 'none                    %{jack_tmpdir}       tmpfs   defaults         0 0' \
-        >> /etc/fstab || \
-        { echo "failed to add jack tmpfs entry to /etc/fstab" 1>&2 ; exit 0 ; }
-        echo "Mounting jack tmpfs temporary directory..."
-        mount %{jack_tmpdir} >/dev/null 2>&1 || \
-        { echo "failed to mount jack tmpfs temporary directory" 1>&2 ; exit 0 ; }
-    fi
-fi
-%endif
 
 %postun
 /sbin/ldconfig
-%if %{enable_tmpdir}
-if [ "$1" = "0" ] ; then
-    if grep "%{jack_tmpdir}" /etc/fstab >/dev/null 2>&1 ; then
-        echo "Deleting jack tmpfs fstab entry..."
-        TMP=$(mktemp /tmp/fstab.XXXXXX)
-        grep -v "%{jack_tmpdir}" /etc/fstab > $TMP
-        if [ "$?" == "0" -a -f $TMP -a -s $TMP ] ; then
-            cat $TMP > /etc/fstab
-        else
-            echo "failed to erase jack tmpfs entry from /etc/fstab"
-        fi
-        rm -f $TMP
-    fi
-fi
-%endif
 
 %clean
 [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
@@ -197,10 +138,6 @@ fi
 %{_libdir}/jack/jack_oss.so
 %endif
 %{_mandir}/man1/*
-%if %{enable_tmpdir}
-%dir %{jack_tmpdir}
-%attr(0777, root, root) %{jack_tmpdir}
-%endif
 
 %files devel
 %defattr(-,root,root)
@@ -245,8 +182,9 @@ fi
 
 %changelog
 
-* Sun May  6 2006 Rui Nuno Capela <rncbc@rncbc.org> - 0.102.1-3
+* Sun May  7 2006 Rui Nuno Capela <rncbc@rncbc.org> - 0.102.1-3
 - new JACK MIDI files on devel and example-clients
+- set default tmpdir to /dev/shm
 
 * Thu Oct 30 2005 Rui Nuno Capela <rncbc@rncbc.org> - 0.100.7-2
 - omitted enable-capabilities, stripped-binaries and preemption

